Skip to main content
GET
/
v1
/
schedules
/
{schedule_id}
/
shift_coverage_requests
list shift coverage requests
curl --request GET \
  --url https://api.rootly.com/v1/schedules/{schedule_id}/shift_coverage_requests \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.rootly.com/v1/schedules/{schedule_id}/shift_coverage_requests"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.rootly.com/v1/schedules/{schedule_id}/shift_coverage_requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "<string>",
      "type": "shift_coverage_requests",
      "attributes": {
        "schedule_id": "<string>",
        "shift_id": "<string>",
        "original_shift_user_id": 123,
        "created_by_user_id": 123,
        "starts_at": "<string>",
        "ends_at": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>",
        "schedule": {
          "data": {
            "id": "<string>",
            "type": "schedules",
            "attributes": {
              "name": "<string>",
              "owner_user_id": 123,
              "created_at": "<string>",
              "updated_at": "<string>",
              "description": "<string>",
              "all_time_coverage": true,
              "slack_user_group": {
                "id": "<string>",
                "name": "<string>"
              },
              "slack_channel": {
                "id": "<string>",
                "name": "<string>"
              },
              "owner_group_ids": [
                "<string>"
              ],
              "sync_linear_enabled": true,
              "include_shadows_in_slack_notifications": true,
              "shift_start_notifications_enabled": true,
              "shift_update_notifications_enabled": true,
              "shift_report_enabled": true,
              "shift_report_time_of_day": "<string>",
              "shift_report_time_zone": "<string>"
            }
          },
          "included": [
            {
              "id": "<string>",
              "type": "<string>",
              "attributes": {},
              "relationships": {}
            }
          ]
        },
        "shift": {
          "schedule_id": "<string>",
          "rotation_id": "<string>",
          "starts_at": "<string>",
          "ends_at": "<string>",
          "is_override": true,
          "is_shadow": true,
          "user_id": 123
        },
        "original_shift_user": {
          "data": {
            "id": "<string>",
            "type": "users",
            "attributes": {
              "email": "<string>",
              "created_at": "<string>",
              "updated_at": "<string>",
              "first_name": "<string>",
              "last_name": "<string>",
              "full_name": "<string>",
              "full_name_with_team": "<string>",
              "time_zone": "<string>"
            },
            "relationships": {
              "role": {
                "data": {
                  "id": "<string>",
                  "type": "roles"
                }
              },
              "on_call_role": {
                "data": {
                  "id": "<string>",
                  "type": "on_call_roles"
                }
              }
            }
          },
          "included": [
            {
              "id": "<string>",
              "type": "<string>",
              "attributes": {},
              "relationships": {}
            }
          ]
        },
        "created_by_user": {
          "data": {
            "id": "<string>",
            "type": "users",
            "attributes": {
              "email": "<string>",
              "created_at": "<string>",
              "updated_at": "<string>",
              "first_name": "<string>",
              "last_name": "<string>",
              "full_name": "<string>",
              "full_name_with_team": "<string>",
              "time_zone": "<string>"
            },
            "relationships": {
              "role": {
                "data": {
                  "id": "<string>",
                  "type": "roles"
                }
              },
              "on_call_role": {
                "data": {
                  "id": "<string>",
                  "type": "on_call_roles"
                }
              }
            }
          },
          "included": [
            {
              "id": "<string>",
              "type": "<string>",
              "attributes": {},
              "relationships": {}
            }
          ]
        }
      }
    }
  ],
  "links": {
    "self": "<string>",
    "first": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "last": "<string>"
  },
  "meta": {
    "current_page": 123,
    "next_page": 123,
    "prev_page": 123,
    "total_count": 123,
    "total_pages": 123,
    "next_cursor": "<string>"
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

schedule_id
string
required

Response

200 - application/vnd.api+json

shift_coverage_requests listed

data
object[]
required
meta
object
included
object[]